routes/web.php
Route::get('change-password', 'AdminController@change_password')->name('change_password');
Route::post('verify-user-mobile','AdminController@verify_user_mobile')->name('verify_user_mobile');
Route::post('verify-code','AdminController@verify_code')->name('verify-code');
Route::post('update-pass','AdminController@update_pass')->name('update-pass');
Route::get('show-change-pass', 'AdminController@show_change_pass')->name('show-change-pass');





Route::prefix('admin')->middleware('auth', 'sessionExpired','verifyMobile')->group(function () {
    Route::get('info', 'AdminShopController@shopInfo')->name('shopInfo');
    Route::get('buy-plan', 'AdminShopController@buy_plan')->name('buy_plan');
    Route::get('buy-plan-result/{id}', 'AdminShopController@buy_plan_result')->name('buy_plan_result');
    Route::post('plan-purchase','AdminShopController@plan_purchase')->name('plan-purchase');
    Route::post('verifyMobile','AdminController@verifyMobile')->name('verifyMobile');
    Route::get('change-mobile', 'AdminController@change_mobile')->name('change_mobile');
    Route::post('update-mobile','AdminController@update_mobile')->name('update_mobile');





    Route::prefix('shop')->middleware('CheckShopPlan')->group(function (){
        Route::post('info/upload', 'AdminShopController@imageup')->name('imageup');
        Route::post('storeShopInfo', 'AdminShopController@store')->name('storeShopInfo');
        Route::get('ShopuploadForm', 'AdminShopController@ShopuploadForm')->name('ShopuploadForm');
        Route::get('edit/{id}', 'AdminShopController@ShopInfoEdit')->name('EditShopInfo');
        Route::patch('/{id}', 'AdminShopController@UpdateInfo')->name('UpdateInfo');
        Route::get('roles', 'AdminShopController@shopRoles')->name('shopRoles');
        Route::delete('shopDeleteRole/{id}', 'AdminShopController@destroyRole')->name('shopDeleteRole');
        Route::get('createRole', 'AdminShopController@createRole')->name('createRole');
        Route::post('saveRole', 'AdminShopController@saveRole')->name('saveRole');
        Route::get('roles/edit/{id}', 'AdminShopController@editRoles')->name('editRoles');
        Route::patch('updateRole/{id}', 'AdminShopController@updateRole')->name('updateRole');
        Route::get('gallery', 'AdminShopController@gallery')->name('gallery');
        Route::post('setGallery', 'AdminShopController@setGallery')->name('setGallery');
        Route::post('deleteGalleryImg', 'AdminShopController@deleteGalleryImg')->name('deleteGalleryImg');
        Route::post('deleteGalleryFile', 'AdminShopController@deleteGalleryFile')->name('deleteGalleryFile');
        Route::resource('article','AdminArticleController');
        Route::get('article-category','AdminArticleController@category')->name('article-category');
        Route::get('article-category/edit/{id}','AdminArticleController@category_edit')->name('article-category-edit');
        Route::get('article-category/new','AdminArticleController@category_new')->name('article-category-new');

        Route::get('article-comments','AdminCommentsController@article_comments')->name('article-comments');
        Route::get('product-comments','AdminCommentsController@product_comments')->name('product-comments');
        Route::get('all-comments','AdminCommentsController@all_comments')->name('all-comments');


        Route::get('personnel/dashboard','AdminPersonnelController@dashboard')->name('personnelDashboard');
        Route::resource('personnel', 'AdminPersonnelController');
        Route::post('personnel/setUserRole/{id}', 'AdminPersonnelController@setUserRole')->name('setUserRole');
        Route::get('logs', 'AdminPersonnelController@logs')->name('userLogs');


        Route::resource('category', 'AdminCategoryController');

        Route::resource('product', 'AdminProductController');
        Route::get('newProduct', 'AdminProductController@new_product')->name('newProduct');

        Route::get('products/dashboard','AdminProductController@dashboard')->name('productDashboard');
        Route::get('factor/purchases/{id}', 'AdminProductController@factorPurchase')->name('factorPurchase');
        Route::get('factor/purchases/close/{id}', 'AdminProductController@savePurchase')->name('savePurchase');
        Route::get('factor/payment/close/{id}', 'AdminProductController@savePayment')->name('savePayment');
        Route::get('sell', 'AdminProductController@sell')->name('sell');
        Route::get('guaranty', 'AdminProductController@guaranty')->name('guaranty');
        Route::get('guarantyTracking', 'AdminProductController@guarantyTracking')->name('guarantyTracking');
        Route::get('guarantyTracking/set/{id}/{step}', 'AdminProductController@SetGuarantyTracking')->name('setGuarantyTracking');
        Route::get('guarantyinfo/{id}/', 'AdminProductController@guarantyinfo')->name('guarantyinfo');
        Route::post('accept-guaranty', 'AdminProductController@accept_guaranty')->name('accept_guaranty');
        Route::get('editbuyFactor/{id}', 'AdminProductController@editbuyFactor')->name('editbuyFactor');
        Route::get('editsellFactor/{id}', 'AdminProductController@editsellFactor')->name('editsellFactor');
        Route::get('editFactorProduct/{id}', 'AdminProductController@editFactorProduct')->name('editFactorProduct');
        Route::get('sellFactor/{id}', 'AdminProductController@sellFactor')->name('sellFactor');
        Route::post('searchGuaranty', 'AdminProductController@searchGuaranty')->name('searchGuaranty');
        Route::post('UploadProductFiles/{id}', 'AdminProductController@UploadProductFiles')->name('UploadProductFiles');
        Route::delete('UploadProductFiles/{id}', 'AdminProductController@DelUploadProductFiles')->name('DelUploadProductFiles');
        Route::post('deleteUploaded', 'AdminProductController@deleteUploaded')->name('deleteUploaded');

        Route::get('accountant', 'AdminAccountantController@accountant')->name('accountant');
        Route::get('accountant/dashboard','AdminAccountantController@dashboard')->name('accountantDashboard');
        Route::get('offlineAcc', 'AdminAccountantController@offlineAcc')->name('offlineAcc');
        Route::get('onlineAcc', 'AdminAccountantController@onlineAcc')->name('onlineAcc');
        Route::get('Accounts', 'AdminAccountantController@Accounts')->name('accounts');
        Route::get('Accounts/create', 'AdminAccountantController@createAccount')->name('accounts.create');
        Route::get('Accounts/edit/{id}', 'AdminAccountantController@editAccount')->name('accounts.edit');
        Route::post('Accounts/store', 'AdminAccountantController@store')->name('accounts.store');
        Route::patch('Accounts/update/{id}', 'AdminAccountantController@updateAccount')->name('accounts.update');
        Route::get('Accounts/newOutgo', 'AdminAccountantController@newOutgo')->name('newOutgo');
        Route::post('Accounts/saveOutgo', 'AdminAccountantController@saveOutgo')->name('saveOutgo');
        Route::get('unpaidFactors', 'AdminAccountantController@unpaid_factors')->name('unpaidFactors');


        Route::get('storage/dashboard','AdminStorageController@dashboard')->name('storageDashboard');
        Route::get('ioProduct', 'AdminStorageController@ioProduct')->name('ioProduct');
        Route::post('importProduct', 'AdminStorageController@importProduct')->name('importProduct');
        Route::post('exportProduct', 'AdminStorageController@exportProduct')->name('exportProduct');
        Route::get('storageReport', 'AdminStorageController@storageReport')->name('storageReport');
        Route::resource('storage', 'AdminStorageController');

        Route::get('delivery/dashboard','AdminDeliveryController@dashboard')->name('deliveryDashboard');
        Route::resource('delivery', 'AdminDeliveryController');
        Route::get('deliveryReq', 'AdminDeliveryController@deliveryReq')->name('deliveryReq');
        Route::post('saveReq/{id}', 'AdminDeliveryController@saveReq')->name('saveReq');
        Route::get('onlineOrders', 'AdminDeliveryController@onlineOrders')->name('onlineOrders');
        Route::get('onlineOrders/factor/{id}', 'AdminDeliveryController@onlineOrdersInfo')->name('onlineOrdersInfo');

        Route::resource('service', 'AdminServiceController');

        Route::resource('comment', 'AdminCommentsController');
    });

    Route::get('setting/main-shop','AdminController@main_shop_setting')->name('main-shop-setting');
    Route::post('setting/main-shop/slider/save','AdminController@save_slider_imgs')->name('save_slider_imgs');
    Route::get('setting/main-shop/s/delete/{id}','AdminController@delete_slider_imgs')->name('delete_slider_imgs');
    Route::post('setting/main-shop/banner/save','AdminController@save_banner_imgs')->name('save_banner_imgs');
    Route::get('setting/main-shop/b/delete/{id}','AdminController@delete_banner_imgs')->name('delete_banner_imgs');
    Route::get('setting/blog','AdminController@blog_setting')->name('blog-setting');
    Route::post('setting/blog/set','AdminController@blog_setting_set_article')->name('set-blog-top-article');
    Route::get('setting/delivery-methods','AdminController@delivery')->name('delivery_methods');
    Route::get('setting/delivery-methods/new','AdminController@add_delivery_method')->name('new_delivery_method');
    Route::get('setting/delivery-methods/edit/{id}','AdminController@edit_delivery_method')->name('edit_delivery_method');
    Route::get('setting/pay-plans','AdminController@pay_plans')->name('plans');
    Route::get('setting/pay-plans/new','AdminController@new_pay_plan')->name('new_pay_plan');
    Route::get('setting/pay-plans/edit/{id}','AdminController@edit_pay_plan')->name('edit_pay_plan');
    Route::get('setting/checkout-requests','AdminController@checkoutReq')->name('checkoutReq');
    Route::post('setting/pay-checkout/{id}','AdminController@payCheckout')->name('payCheckout');
    Route::get('setting/guilds','AdminController@guilds')->name('guilds-setting');

app/Http/Livewire/Personnel/EditPerson.php
<?php

namespace App\Http\Livewire\Personnel;

use App\User;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Session;
use Livewire\Component;

class EditPerson extends Component
{
    public $person;

    public $name;
    public $family;
    public $email;
    public $password;
    public $mobile;

    protected $rules = [
        'name' => 'required',
        'family' => 'required',
        'email' => 'required|email',
        'mobile' => 'required',
    ];
    protected $messages = [
        'name.required' => 'لطفا نام کارمند را وارد کنید',
        'family.required' => 'لطفا نام خانوادگی کارمند را وارد کنید',
        'email.required' => 'لطفا ایمیل کارمند را وارد کنید',
        'email.email' => 'لطفا ایمیل را به صورت صحیح  وارد کنید',
        'mobile.required' => 'لطفا موبایل کارمند را وارد کنید',
    ];

    public function mount()
    {
        $this->name = $this->person->name;
        $this->family = $this->person->family;
        $this->mobile = $this->person->mobile;
        $this->email = $this->person->email;
    }

    public function updated($name)
    {
        $this->validateOnly($name);
    }

    public function edit_person()
    {
        $this->validate();
        if (Auth::user()->role->name == 'مدیر' || Auth::user()->role->name == 'مالک' || Auth::user()->shoprole->roles->personnel == 1) {
            $person = User::find($this->person->id);
            $person->name = $this->name;
            $person->family = $this->family;
            $person->mobile = $this->mobile;
            $person->email = $this->email;
            if ($this->password != null)
                $person->password = Hash::make($this->password);
            $person->save();
            Session::put('success', 'تغییرات ذخیره شد');
            return redirect(route('personnel.index'));
        } else {
            return 403;
        }
    }

    public function render()
    {
        return view('livewire.personnel.edit-person');
    }
}

app/Http/Livewire/Personnel/SetPerson.php
<?php

namespace App\Http\Livewire\Personnel;

use App\ShopPermission;
use App\User;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Session;
use Livewire\Component;

class SetPerson extends Component
{
    public $roles;

    public $name;
    public $family;
    public $role;
    public $email;
    public $password;
    public $mobile;

    protected $rules=[
        'name'=>'required',
        'family'=>'required',
        'role'=>'required',
        'email'=>'required|email',
        'password'=>'required',
        'mobile'=>'required',
    ];
    protected $messages=[
        'name.required'=>'لطفا نام کارمند را وارد کنید',
        'family.required'=>'لطفا نام خانوادگی کارمند را وارد کنید',
        'role.required'=>'لطفا نقش کارمند را وارد کنید',
        'email.required'=>'لطفا ایمیل کارمند را وارد کنید',
        'email.email'=>'لطفا ایمیل را به صورت صحیح  وارد کنید',
        'password.required'=>'لطفا کلمه عبور را وارد کنید',
        'mobile.required'=>'لطفا موبایل کارمند را وارد کنید',
    ];


    public function updated($name)
    {
        $this->validateOnly($name);
    }

    public function set_person()
    {
        $this->validate();
        if (Auth::user()->role->name == 'مدیر' || Auth::user()->role->name == 'مالک' || Auth::user()->shoprole->roles->personnel == 1) {

            $role = ShopPermission::where([['shop_id', Auth::user()->shop_id], ['role_name', $this->role]])->with('shoprole')->first();
            $user = new User();
            $user->name = $this->name;
            $user->family = $this->family;
            $user->mobile = $this->mobile;
            $user->email = $this->email;
            $user->password = Hash::make($this->password);
            $user->role_id = 3; /* کاربر*/
            $user->shop_id = Auth::user()->shop_id;
            $user->shop_role_id = $role->shoprole->id;
            $user->save();
            Session::put('success', 'کاربر جدید ثبت شد');
            return redirect(route('personnel.index'));
        } else {
            return 403;
        }
    }
    public function render()
    {
        return view('livewire.personnel.set-person');
    }
}

resources/views/admin/Personnel/dashboard.blade.php
@extends('admin.layouts.newTheme.master')


@section('main')
    <div class="row px-2 my-3 d-flex flex-nowrap overflow-auto">
        <div class="col mx-1">
            <a href="{{route('personnel.index')}}">
                <div class="btn btn-purple  text-center h-100" style="border-radius: 10px">
                    <div class="p-4">
                        <img src="{{asset('img/users-white.svg')}}" alt="4rak" class="img-fluid rounded">
                        <h6 class="text-white">مدیریت کارکنان</h6>
                    </div>
                </div>
            </a>

        </div>
        <div class="col mx-1">
            <a href="{{route('personnel.create')}}">
                <div class="btn btn-warning  text-center h-100" style="border-radius: 10px">
                    <div class="p-4">
                        <img src="{{asset('img/add-user-white.svg')}}" alt="4rak" class="img-fluid rounded">
                        <h6 class="text-white"> افزودن کاربر</h6>
                    </div>
                </div>
            </a>

        </div>
        <div class="col mx-1">
            <a href="{{route('shopRoles')}}">
                <div class="btn btn-info  text-center h-100" style="border-radius: 10px">
                    <div class="py-4 px-3">
                        <img src="{{asset('img/role-white.svg')}}" alt="4rak" class="img-fluid rounded">
                        <h6 class="text-white"> مدیریت نقش ها</h6>
                    </div>
                </div>
            </a>
        </div>
        <div class="col mx-1">
            <a href="{{route('createRole')}}">
                <div class="btn btn-success  text-center h-100" style="border-radius: 10px">
                    <div class="p-4">
                        <img src="{{asset('img/add-role-white.svg')}}" alt="4rak" class="img-fluid rounded">
                        <h6 class="text-white">افزودن نقش</h6>
                    </div>
                </div>
            </a>
        </div>
        <div class="col mx-1">
            <a href="{{route('userLogs')}}">
                <div class="btn btn-pinterest  text-center h-100" style="border-radius: 10px">
                    <div class="p-4">
                        <img src="{{asset('img/logs-white.svg')}}" alt="4rak" class="img-fluid rounded">
                        <h6 class="text-white"> بررسی کارکرد</h6>
                    </div>
                </div>
            </a>
        </div>

    </div>
    <!-- end row -->

    <div class="row my-3 justify-content-between">
        <div class="col-lg-4 col-md-6">
            <div class="card-box">
                <div class="dropdown pull-right">
                    <a href="#" class="dropdown-toggle card-drop" data-toggle="dropdown" aria-expanded="false">
                    </a>
                    <ul class="dropdown-menu" role="menu">
                        <li><a href="#">فعال</a></li>
                        <li><a href="#">متن اول</a></li>
                        <li><a href="#">متن دوم</a></li>
                        <li class="divider"></li>
                        <li><a href="#">متن پاورقی</a></li>
                    </ul>
                </div>

                <h4 class="header-title m-t-0 m-b-30">کارکنان فروشگاه</h4>

                <div class="widget-chart-1">
                    <div class="widget-chart-box-1">
                        <input data-plugin="knob" data-width="80" data-height="80" data-fgColor="#f05050 "
                               data-bgColor="#F9B9B9" value="{{$personnel_qty}}"
                               data-skin="tron" data-angleOffset="180" data-readOnly=true
                               data-thickness=".15"/>
                    </div>

                    <div class="widget-detail-1">
                        <h2 class="p-t-10 m-b-0"> {{$personnel_qty}}</h2>
                        <p class="text-muted"> نفر</p>
                    </div>
                </div>
            </div>
        </div><!-- end col -->

        <div class="col-lg-4 col-md-6">
            <div class="card-box">
                <div class="dropdown pull-right">
                    <a href="#" class="dropdown-toggle card-drop" data-toggle="dropdown" aria-expanded="false"></a>
                    <ul class="dropdown-menu" role="menu">
                        <li><a href="#">فعال</a></li>
                        <li><a href="#">متن اول</a></li>
                        <li><a href="#">متن دوم</a></li>
                        <li class="divider"></li>
                        <li><a href="#">متن پاورقی</a></li>
                    </ul>
                </div>

                <h4 class="header-title m-t-0 m-b-30">نقش های فروشگاه</h4>
                <div class="widget-chart-1">
                    <div class="widget-chart-box-1">
                        <input data-plugin="knob" data-width="80" data-height="80" data-fgColor="#2891a0 "
                               data-bgColor="#aacdd2" value="{{$roles_qty}}"
                               data-skin="tron" data-angleOffset="180" data-readOnly=true
                               data-thickness=".15"/>
                    </div>

                    <div class="widget-detail-1">
                        <h2 class="p-t-10 m-b-0"> {{$roles_qty}} </h2>
                        <p class="text-muted"> نقش</p>
                    </div>
                </div>

            </div>
        </div><!-- end col -->

    </div>

    <div class="row">
        <div class="col-lg-6">
            <div class="card-box ">
                <div class="dropdown pull-right">
                    <a href="#" class="dropdown-toggle card-drop" data-toggle="dropdown" aria-expanded="false"></a>
                    <ul class="dropdown-menu" role="menu">
                        <li><a href="#">فعال</a></li>
                        <li><a href="#">متن اول</a></li>
                        <li><a href="#">متن دوم</a></li>
                        <li class="divider"></li>
                        <li><a href="#">متن پاورقی</a></li>
                    </ul>
                </div>
                <h4 class="header-title m-t-0">آمار نقش های کارکنان</h4>
                <canvas id="personnel-roles" class=""></canvas>
            </div>
        </div>
        <!-- end col -->

        <!-- end col -->

        <div class="col-lg-6">
            <div class="card-box ">
                <div class="dropdown pull-right">
                    <a href="#" class="dropdown-toggle card-drop" data-toggle="dropdown" aria-expanded="false"></a>
                    <ul class="dropdown-menu" role="menu">
                        <li><a href="#">فعال</a></li>
                        <li><a href="#">متن اول</a></li>
                        <li><a href="#">متن دوم</a></li>
                        <li class="divider"></li>
                        <li><a href="#">متن پاورقی</a></li>
                    </ul>
                </div>
                <h4 class="header-title m-t-0">کارکرد هفتگی کل کارکنان بر اساس ساعت</h4>
                <canvas id="work-time" class=""></canvas>
            </div>
        </div>
        <!-- end col -->
    </div>
    <!-- end row -->

    <div class="row justify-content-center">
        <div class="col-lg-10">
            <div class="card-box ">
                <div class="dropdown pull-right">
                    <a href="#" class="dropdown-toggle card-drop" data-toggle="dropdown" aria-expanded="false"></a>
                    <ul class="dropdown-menu" role="menu">
                        <li><a href="#">فعال</a></li>
                        <li><a href="#">متن اول</a></li>
                        <li><a href="#">متن دوم</a></li>
                        <li class="divider"></li>
                        <li><a href="#">متن پاورقی</a></li>
                    </ul>
                </div>
                <h4 class="header-title m-t-0"> کارکرد ماهانه کارکنان بر اساس ساعت</h4>
                <canvas id="monthly-work" class=""></canvas>
            </div>
        </div>
        <!-- end col -->

    </div>



@endsection
@section('script')
    <script>
        $(document).ready(function () {
            let chart1 = document.getElementById('personnel-roles');
            let chart2 = document.getElementById('work-time');
            let chart3 = document.getElementById('monthly-work');



            $.ajax({
                type: "POST",
                headers: {
                    'X-CSRF-TOKEN': '{{csrf_token()}}'
                },
                url: '{{route('webAjax')}}',
                data: {// change data to this object
                    do: 'get-personnel-roles-chart',
                },
                dataType: 'json',
                success: function (response) {
                    let qty={{$roles_qty}};
                    let colors=new Array();
                    for (let i=0;i<qty;i++){
                        let randomColor = '#'+Math.floor(Math.random()*16777215).toString(16);
                        colors.push(randomColor)
                    }
                    let personnel_roles = new Chart(chart1, {
                        type: 'pie',
                        data: {
                            labels: response['roles'],
                            datasets: [{
                                label: 'Chart 1',
                                backgroundColor: colors,
                                data: response['role_qty']
                            }]
                        },
                        options: {}
                    });
                },
                error: function (response) {
                    console.log('error')
                }
            });

            $.ajax({
                type: "POST",
                headers: {
                    'X-CSRF-TOKEN': '{{csrf_token()}}'
                },
                url: '{{route('webAjax')}}',
                data: {// change data to this object
                    do: 'get-personnel-work-time-chart',
                },
                dataType: 'json',
                success: function (response) {
                    let work_time = new Chart(chart2 , {
                        type: 'line',
                        data: {
                            labels: response['days'],
                            datasets: [{
                                label: '',
                                backgroundColor:'#3dd79a',
                                borderColor:'#0c923e',
                                pointBackgroundColor:'#167225',
                                lineTension:'.3',
                                data: response['work']
                            }]
                        },
                        options: {
                            scales: {
                                yAxes: [{
                                    ticks: {
                                        max: response['max']+2,
                                        min: 0,
                                        stepSize: 1
                                    }
                                }],
                                xAxes: [{
                                }]
                            },
                            legend:false
                        }
                    })
                },
                error: function (response) {
                    console.log('error')
                }
            });

            $.ajax({
                type: "POST",
                headers: {
                    'X-CSRF-TOKEN': '{{csrf_token()}}'
                },
                url: '{{route('webAjax')}}',
                data: {// change data to this object
                    do: 'monthly-personnel-work-chart',
                },
                dataType: 'json',
                success: function (response) {
                    console.log(response)
                    let personnel=new Array();
                    let labels;
                    let data;
                    Object.keys(response['personnel']).forEach(function (key){
                        let randomColor = '#'+Math.floor(Math.random()*16777215).toString(16);
                        labels=Object.keys(response['personnel'][key]);
                       data=Object.values(response['personnel'][key])
                        let obj1= {
                            label:key,
                            backgroundColor:'transparent',
                            borderColor:randomColor,
                            pointBackgroundColor:randomColor,
                            lineTension:'.2',
                            data:Object.values(data)
                        };
                        personnel.push(obj1)
                    });

                    let monthly_chart = new Chart(chart3, {
                        type: 'line',
                        data: {
                            labels: labels,
                            datasets: personnel
                        },
                        options: {
                            scales: {
                                yAxes: [{
                                    ticks: {
                                        max: 25,
                                        min: 0,
                                        stepSize: 1
                                    }
                                }],
                                xAxes: [{
                                }]
                            },
                            legend:false
                        }
                    });
                },
                error: function (response) {
                    console.log('error')
                }
            });

        })
    </script>
@endsection

resources/views/admin/Personnel/editPerson.blade.php
@extends('admin.layouts.newTheme.master')
@section('header')
    <meta name="csrf-token" content="{{ csrf_token() }}">
@endsection
@section('main')

    <div class="row p-4">
        <div class="alert alert-light w-100 text-center">
            <h3 class="text-muted">فرم ویرایش کاربر {{$person->name}} {{$person->family}}</h3>
        </div>
    </div>

    @if(count($errors)>0)
        <div class="alert alert-danger">
            <ul>
                @foreach($errors->all() as $error)
                    <li>
                        {{$error}}
                    </li>
                @endforeach
            </ul>
        </div>
    @endif

        <div class="row px-4 d-flex pb-5">
            <div class="col-12 bg-white rounded">
                @livewire('personnel.edit-person',['person'=>$person])
            </div>
        </div>


@endsection

resources/views/admin/Personnel/newPerson.blade.php
@extends('admin.layouts.newTheme.master')
@section('header')
    <meta name="csrf-token" content="{{ csrf_token() }}">
@endsection
@section('main')

    <div class="row p-4">
        <div class="alert alert-light w-100 text-center">
            <h1 class="text-muted">فرم ثبت کارکنان</h1>
        </div>
    </div>

    @if(count($errors)>0)
        <div class="alert alert-danger">
            <ul>
                @foreach($errors->all() as $error)
                    <li>
                        {{$error}}
                    </li>
                @endforeach
            </ul>
        </div>
    @endif

    <div class="row px-4 d-flex pb-5 ">
        <div class="col-12 bg-white rounded">
            @livewire('personnel.set-person',['roles'=>$roles])
        </div>
    </div>

@endsection